Moodle 2.1… nova versió


Fa pocs dies ha aparegut en escena una nova versió de Moodle. Encara no l’he pogut provar ja que el meu proveïdor a Internet no té prou actualitzada la versió de PHP necessària (PHP 5.3 o superior), però seguint els fòrums intueixo poc rebombori. Cal recordar que la anterior versió 2.0 va aixecar moltes expectatives, però si bé és cert que incorporava moltes novetats també ho és que tenia masses bugs per resoldre. Així, a part de resoldre petits problemes, les aportacions més destacades d’aquesta nova versió són bàsicament tres:

  1. S’estableix la compatibilitat dels fitxers de còpia de seguretat amb la versió 1.9.X, un dels condicionants que han dissuadit molts usuaris d’abordar una migració ja que amb la versió 2.0 no es podia encara.
  2. El motor de preguntes ha estat completament reescrit.  D’aquesta manera les preguntes podran ser utilitzades en el futur per altres mòduls com la lliçó, cosa que ha estat demandat pels usuaris en nombroses ocasions. També apareix un nou concepte -“Comportament de la pregunta”- que defineix com ha de comportar la pregunta després de ser resposta per l’alumne, en aspectes com la retroalimentació, els nous intents de resposta o la qualificació, amb un total de 8 formats diferents predefinits de comportament.
  3. Permet una millor disponibilitat i visualització per a dispositius mòbils i afegeix les funcions necessàries per a les aplicacions iOS i Android que poden aparèixer pròximament.
I a esperar a final d’any que ens han promès una altra nova versió: la Moodle 2.3